
html, body {
	font-family: Arial;
	font-size: 14px;
	background-color: #ccc;
	margin: 0;
	padding: 0;
}

h1 {
	margin: 0px;
	padding: 0;
	font-size: 22px;
	color: #598b18;
}
h2 {
	margin: 0px;
	padding: 0px 0px 10px 0px;
	font-size: 22px;
	color: #598b18;
}
h3 {
	margin: 0px;
	padding: 0px 0px 10px 0px;
	font-size: 18px;
	color: #598b18;
}
p {
	margin: 0px;
	padding: 3px 0px;
}
a {
	color: #6a8668;
	text-decoration: none;
}

hr {
	margin: 10px 0;
	padding: 0;
	border: 0;
	border-top: 1px solid #ccc;
}


.Button, .BorderButton {
	margin: 0;
	padding: 8px 16px;
	border-radius: 2px;
	border: 1px solid #7f9c7d;
	background-color: #7bbb77;
	color: white;
	font-size: 14px;
	display: inline-block;
}
.Button:hover {
	background-color: #d5f1d5;
}
.BorderButton {
	background-color: white;
	color: #7f9c7d;
}
.BorderButton:hover {
	background-color: #f7f7f7;
}

.Wrapper {
	max-width: 1000px;
	margin: 0px auto;
	background-color: white;
	overflow: hidden;
}

header {
	position: relative;
	height: 50px;
	background-color: #7bbb77;
	display: flex;
	align-items: center;
}
header h1 {
	width: 100%;
	text-align: center;
	color: white;
}
.Content {
	padding: 20px;
	box-sizing: border-box;
}
footer {
	padding: 20px;
	background-color: #555;
	color: white;
	text-align: center;
}
footer a {
	color: white;
}
@media (max-width: 400px) {
	header .NavigationButton {
		left: 10px;
	}
	header .Account {
		right: 10px;
	}
	.Content {
		padding: 20px 10px;
	}
	footer {
		font-size: 12px;
		padding: 15px 10px;
	}
}

.SudokuSelectWrapper {
	position: relative;
}
.SudokuSelectWrapper .SudokuSelect {
	position: absolute;
	top: 100%;
	left: 0;
	margin: 6px 0 0 0;
	padding: 10px 20px 10px 0;
	background-color: #333;
	border-radius: 5px;
	z-index: 2;
}
.SudokuSelectWrapper .SudokuSelect:before {
	position: absolute;
	top: -6px;
	left: 20px;
	border: 6px solid transparent;
	border-top: 0;
	border-bottom-color: #333;
	content: "";
}
.SudokuSelectWrapper .SudokuSelect li {
	margin: 0;
	padding: 0;
	list-style: none;
}
.SudokuSelectWrapper .SudokuSelect a {
	display: block;
	padding: 4px 20px;
	color: white;
}

.Sudoku {
	margin: 0 auto;
	padding: 0;
	border: 2px solid black;
	border-spacing: 0;
}
.Sudoku .SudokuCol {
	border-left: 1px solid #ccc;
	border-top: 1px solid #ccc;
}
.Sudoku .SudokuRow1 .SudokuCol {
	border-top: 0;
}
.Sudoku .SudokuRow .SudokuCol1 {
	border-left: 0;
}
.Sudoku .SudokuRow4 .SudokuCol, .Sudoku .SudokuRow7 .SudokuCol {
	border-top: 2px solid black;
}
.Sudoku .SudokuRow .SudokuCol4, .Sudoku .SudokuRow .SudokuCol7 {
	border-left: 2px solid black;
}
.SudokuBox {
	position: relative;
	width: 40px;
	height: 40px;
	display: block;
}
.SudokuBox .SudokuBoxInner {
	position: absolute;
	top: 50%;
	left: 0;
	width: 100%;
	margin-top: -8px;
	text-align: center;
	font-size: 16px;
	line-height: 16px;
}
.SudokuBox[data-status="select"] {
	background-color: #eee;
}
.SudokuBox[data-full="true"] {
	background-color: #efe;
}
.SudokuBox[data-error="true"] {
	background-color: #fee;
}


.SudokuTime {
	margin: 0 auto;
	padding: 0;
	border: 0;
	border-spacing: 0;
}
.SudokuTime tr {
	vertical-align: top;
}
.SudokuTime td {
	width: 80px;
	text-align: center;
	font-size: 12px;
}
.SudokuTime strong {
	font-size: 20px;
	font-weight: normal;
	display: block;
	padding: 15px 0;
	background-color: #edffef;
	text-align: center;
}